#line 1 "C:/Documents and Settings/goran/Desktop/UNI-DS3 Examples/PIC_DIP40 Examples/P16F877A/mikroC/I2C/EEPROM_24C02.C"




void EEPROM_24C02_Init() {
 I2C_Init(100000);
}


void EEPROM_24C02_WrSingle(unsigned short wAddr, unsigned short wData) {
 I2C_start();
 I2C_Wr(0xA2);
 I2C_Wr(wAddr);
 I2C_Wr(wData);
 I2C_Stop();
}


unsigned short EEPROM_24C02_RdSingle(unsigned short rAddr) {
 unsigned short reslt;

 I2C_Start();
 I2C_Wr(0xA2);
 I2C_Wr(rAddr);
 I2C_Repeated_Start();
 I2C_Wr(0xA3);
 reslt = I2C_Rd(0u);
 while (!I2C_Is_Idle())
 asm nop;
 I2C_Stop();
 return reslt;
}


void EEPROM_24C02_RdSeq(unsigned short rAddr,
 unsigned char *rdData,
 unsigned short rLen) {
 unsigned short i;


 I2C_Start();
 I2C_Wr(0xA2);
 I2C_Wr(rAddr);
 I2C_Repeated_Start();
 I2C_Wr(0xA3);
 i = 0;
 while (i < rLen) {
 rdData[i] = I2C_Rd(1u);
 Delay_ms(20);
 i++ ;
 }
 rdData[i] = I2C_Rd(0u);
 I2C_Stop();
}
